Summary:        Combines motd, issue, profile features to show system information to the user before/on login
Name:           console-login-helper-messages
Version:        0.21.3
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/coreos/%{name}
Source0:        https://github.com/coreos/%{name}/archive/v%{version}.tar.gz

BuildRequires:  systemd make
Requires:       bash systemd
%{?systemd_requires}

BuildArch:      noarch

%description
This package combines motd, issue, profile features to show system information to the user 
before/on login.

%package motdgen
Summary:        Message of the day generator script showing system information
Requires:       console-login-helper-messages
Recommends:     openssh
Requires:       bash systemd
Requires:       setup
Requires:       (pam if openssh)
Requires:       (selinux-policy if openssh)
Requires:       util-linux >= 2.36-1

%description motdgen
This package provides daily message generator scripts that display system information.

%package issuegen
Summary:        Issue generator scripts showing SSH keys and IP address
Requires:       console-login-helper-messages
Requires:       bash systemd setup
Requires:       (NetworkManager)
Requires:       /etc/issue.d
Requires:       util-linux >= 2.36-1

%description issuegen
This package provides generator scripts that display SSH keys and IP address.

%package profile
Summary:        Profile script showing systemd failed units
Requires:       console-login-helper-messages
Requires:       bash systemd setup

%description profile
This package provides profile script showing systemd failed units.

%prep
%autosetup

%build

%install
%make_install
rm %{buildroot}/%{_tmpfilesdir}/%{name}-motdgen.conf

%post issuegen
%systemd_post %{name}-gensnippet-ssh-keys.service

%preun issuegen
%systemd_preun %{name}-gensnippet-ssh-keys.service

%postun issuegen
%systemd_postun_with_restart %{name}-gensnippet-ssh-keys.service

%post motdgen
%systemd_post %{name}-gensnippet-os-release.service

%preun motdgen
%systemd_preun %{name}-gensnippet-os-release.service

%postun motdgen
%systemd_postun_with_restart %{name}-gensnippet-os-release.service

%files
%license LICENSE
%doc README.md doc/manual.md
%dir %{_libexecdir}/%{name}
%dir %{_prefix}/lib/%{name}
%dir %{_prefix}/share/%{name}
%{_prefix}/lib/%{name}/libutil.sh
%{_tmpfilesdir}/%{name}.conf

%files issuegen
%{_unitdir}/%{name}-gensnippet-ssh-keys.service
%{_sysconfdir}/NetworkManager/dispatcher.d/90-%{name}-gensnippet_if
%{_prefix}/lib/%{name}/issue.defs
%{_tmpfilesdir}/%{name}-issuegen.conf
%{_libexecdir}/%{name}/gensnippet_ssh_keys
%{_libexecdir}/%{name}/gensnippet_if
%{_libexecdir}/%{name}/gensnippet_if_udev

%files motdgen
%{_unitdir}/%{name}-gensnippet-os-release.service
%{_prefix}/lib/%{name}/motd.defs
%{_libexecdir}/%{name}/gensnippet_os_release

%files profile
%{_prefix}/share/%{name}/profile.sh
%{_tmpfilesdir}/%{name}-profile.conf
%ghost %{_sysconfdir}/profile.d/%{name}-profile.sh

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Wang Guodong <gordonwwang@tencent.com> - 0.21.3-1
- package init.
